Bug 2181028 - Review Request: rust-userfaultfd - Rust bindings for the Linux userfaultfd functionality
Summary: Review Request: rust-userfaultfd - Rust bindings for the Linux userfaultfd fu...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Fabio Valentini
QA Contact: Fedora Extras Quality Assurance
URL: https://crates.io/crates/userfaultfd
Whiteboard:
Depends On: 2181029
Blocks: 2181039
TreeView+ depends on / blocked
 
Reported: 2023-03-22 21:43 UTC by fedora.dm0
Modified: 2023-03-31 01:33 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-03-28 12:45:09 UTC
Type: ---
Embargoed:
decathorpe: fedora-review+


Attachments (Terms of Use)

Description fedora.dm0 2023-03-22 21:43:30 UTC
Spec URL: https://github.com/dm0-/copr-firecracker/raw/fedora/rust-userfaultfd.spec
SRPM URL: https://github.com/dm0-/copr-firecracker/raw/fedora/rust-userfaultfd-0.5.1-1.fc37.src.rpm
Description: Rust bindings for the Linux userfaultfd functionality.
Fedora Account System Username: dm0

This is a dependency of Firecracker.  The spec is automatically generated, except to drop executable bits from documentation.

Comment 1 Jakub Kadlčík 2023-03-22 21:48:01 UTC
Copr build:
https://copr.fedorainfracloud.org/coprs/build/5696256
(failed)

Build log:
https://download.copr.fedorainfracloud.org/results/@fedora-review/fedora-review-2181028-rust-userfaultfd/fedora-rawhide-x86_64/05696256-rust-userfaultfd/builder-live.log.gz

Please make sure the package builds successfully at least for Fedora Rawhide.

- If the build failed for unrelated reasons (e.g. temporary network
  unavailability), please ignore it.
- If the build failed because of missing BuildRequires, please make sure they
  are listed in the "Depends On" field


---
This comment was created by the fedora-review-service
https://github.com/FrostyX/fedora-review-service

If you want to trigger a new Copr build, add a comment containing new
Spec and SRPM URLs or [fedora-review-service-build] string.

Comment 2 Fabio Valentini 2023-03-27 15:38:47 UTC
Package looks good to me, with one exception:

Some tests fail on ppc64le:
https://koji.fedoraproject.org/koji/taskinfo?taskID=99195371

The previous version of this package skipped some tests on ppc64le:
https://src.fedoraproject.org/rpms/rust-userfaultfd/blob/f36/f/rust-userfaultfd.spec#_92-101

I've reported the problem upstream (it seems to be related to page size being "different" (i.e. "not 4KiB") on ppc64le Fedora kernels):
https://github.com/bytecodealliance/userfaultfd-rs/issues/32

Comment 3 Fabio Valentini 2023-03-27 15:39:16 UTC
Sorry, pushed the ?->+ button too fast :)

Comment 4 fedora.dm0 2023-03-27 16:05:57 UTC
Sorry, I missed that by only building for Firecracker's supported platforms (x86_64 and aarch64).  The spec and SRPM are updated.

Comment 5 Fabio Valentini 2023-03-27 16:09:32 UTC
Perfect, thanks!

===

Package was generated with rust2rpm, simplifying the review.

- package builds and installs without errors on rawhide
- test suite is run and all unit tests pass (skipped tests are justified)
- latest version of the crate is packaged
- license matches upstream specification (MIT OR Apache-2.0) and is acceptable for Fedora
- license files are included with %license in %files
- package complies with Rust Packaging Guidelines

Package APPROVED.

===

You can proceed with the unretirement request now.

The package needs to be unretired from the f37 and rawhide dist-git branches, and unblocked from the f37, f38, and f39 tags in koji.

Comment 6 fedora.dm0 2023-03-27 20:16:03 UTC
Unretire request: https://pagure.io/releng/issue/11361

Comment 7 Fedora Update System 2023-03-28 12:44:17 UTC
FEDORA-2023-bc85a14eec has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-bc85a14eec

Comment 8 Fedora Update System 2023-03-28 12:45:09 UTC
FEDORA-2023-bc85a14eec has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2023-03-28 19:44:24 UTC
FEDORA-2023-02106a6c13 has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-02106a6c13

Comment 10 Fedora Update System 2023-03-28 19:44:27 UTC
FEDORA-2023-a4085b6295 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2023-a4085b6295

Comment 11 Fedora Update System 2023-03-29 02:02:25 UTC
FEDORA-2023-02106a6c13 has been pushed to the Fedora 38 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-02106a6c13

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2023-03-29 03:55:54 UTC
FEDORA-2023-a4085b6295 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-a4085b6295 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-a4085b6295

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2023-03-30 01:19:46 UTC
FEDORA-2023-a4085b6295 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 14 Fedora Update System 2023-03-31 01:33:55 UTC
FEDORA-2023-02106a6c13 has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.